<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 22/5/2018
 * Time: 1:37 AM
 */


include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['cantidadDirectivos']) && isset($_REQUEST['inquilinosPorPropiedad']) && isset($_REQUEST['cantidadPropiedades']) && isset($_REQUEST['pais']) && isset($_REQUEST['ciudad']) && isset($_REQUEST['calle']) && isset($_REQUEST['numero_exterior']) && isset($_REQUEST['codigo_postal']) && isset($_REQUEST['telefono'])) {
                $condominio = R::load('condominio', $_REQUEST['idCondominio']);
                $condominio->nombre = $_REQUEST['nombre'];
                $condominio->cantidadPropiedades = $_REQUEST['cantidadPropiedades'];
                $condominio->inquilinosPorPropiedad = $_REQUEST['inquilinosPorPropiedad'];
                $condominio->cantidadDirectivos = $_REQUEST['cantidadDirectivos'];
                $condominio->pais = $_REQUEST['pais'];
                $condominio->ciudad = $_REQUEST['ciudad'];
                $condominio->calle = $_REQUEST['calle'];
                $condominio->numero_exterior = $_REQUEST['numero_exterior'];
                $condominio->codigo_postal = $_REQUEST['codigo_postal'];
                $condominio->telefono = $_REQUEST['telefono'];
                $condominio->fechaModificacion = date('Y-m-d H:i:s');
                $condominio->fotoPerfil = "";
                $condominio->estado = 1;
                $id = R::store($condominio);
                include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}